Skip to content

List Materialization Plans

API Description

Use this API to page through materialization plans created under the current tenant.

API URL

POST /anymetrics/api/v1/accelerate/plan/queryAccelerateResultPlanList

Request parameters

Common Request Headers

parameter Type required Description
tenant-id String Yes Tenant ID, used to identify the tenant for metric query content.
auth-type String Yes Authentication method. Supports UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common parameters

View this in Aloudata CAN under Metric Applications > API Integration.

image.png

Request parameters

Field Type required Description
materializeType String No Filter by materialization type:ACCELERATERESULTEXTERNAL
pager Object Yes Pagination parameters

Fields Inside pager

Field Type required Description
pageNumber Integer Yes Page number, starting from 1
pageSize Integer Yes Page size

Request Example

{
  "materializeType": "EXTERNAL",
  "pager": {
    "pageNumber": 1,
    "pageSize": 20
  }
}

Response parameter Description

data(Plan array)

Field Type Description
id String Plan UUID
name String Plan name
displayName String Display name
materializeType String Materialization plan type

Pagination fields

Field Type Description
hasNext Boolean Whether there is a next page
total Integer Total records
pageNumber Integer current page
pageSize Integer Page size

Response Example

{
  "data": [
    {
      "id": "ecfc2a9539a04ef49897a9b4e3d65e7f",
      "name": "external_test",
      "displayName": "External Materialization Test",
      "materializeType": "EXTERNAL"
    },
    {
      "id": "asd2229539a04ef49897a9b4e3d6bbb1",
      "name": "result_demo",
      "displayName": "Result Materialization Test",
      "materializeType": "RESULT"
    }
  ],
  "hasNext": false,
  "total": 2,
  "pageNumber": 1,
  "pageSize": 20
}